import expect from 'expect';
import Color from 'color';
import addModifer from '../addModifier';

var selector = function selector() {
  return new Color('#2A2A2A').hex();
};

var testModifier = function testModifier(modifier) {
  var _ref;

  for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }

  var modified = addModifer.apply(undefined, [selector, modifier].concat(args));
  expect(modified).toBeA('function');
  expect(modified()).toEqual((_ref = new Color(selector()))[modifier].apply(_ref, args).hex());
};

describe('addModifier', function () {
  it('adds a modifier function', function () {
    testModifier('lighten', 0.1);
    testModifier('lighten', 0.5);
    testModifier('lighten', 0.9);
    testModifier('darken', 0.1);
    testModifier('darken', 0.5);
    testModifier('darken', 0.9);
  });
});