import expect from 'expect';
import Color from 'color';
import decorateSelector from '../decorateSelector';
import colorMethods from '../colorMethods';

var testHasAllMethods = function testHasAllMethods(selector) {
  return colorMethods.forEach(function (method) {
    return expect(selector[method]).toBeA('function');
  });
};

describe('decorateSelector', function () {
  colorMethods.forEach(function (method) {
    it('adds ' + method + ' method', function () {
      var selector = function selector() {
        return new Color('#2A2A2A').hex();
      };
      decorateSelector(selector);
      expect(selector).toBeA('function');
      expect(selector[method]).toBeA('function');
      testHasAllMethods(selector[method]());
    });
  });
});