import colorMethods from './colorMethods';
import addModifier from './addModifier';

/**
 * Add useful methods directly to selector function, as well as put an hex() call at the end
 * @param selector
 */
var decorateSelector = function decorateSelector(selector) {
  // add member functions to our selector
  colorMethods.forEach(function (method) {
    selector[method] = function () {
      for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      return decorateSelector(addModifier.apply(undefined, [selector, method].concat(args)));
    };
  });
  return selector;
};

export default decorateSelector;